Loading...
Searching...
No Matches
SmtpClientDataProvider Class Reference

Data provider implementing an API for sending email messages. More...

## Public Member Functions

| constructor (*hash< auto > options)
| Creates the object from constructor options.
| constructor (SmtpClient smtp)
| Creates the object from an SmtpClient object.
*list< hash< DataProviderSummaryInfo > > | getChildProviderSummaryInfo ()
| Return data provider summary info.
*string | getDesc ()
| Returns the data provider description.

## Public Attributes

const | ConstructorOptions = ...
| Constructor options.
const | ProviderInfo = ...
| Provider info.

## Protected Member Functions

*AbstractDataProvider | getChildProviderImpl (string name)
| Returns the given child provider or nothing if the given child is unknown.
*list< string > | getChildProviderNamesImpl ()
| Returns a list of child data provider names, if any.
hash< DataProviderInfo > | getStaticInfoImpl ()
| Returns data provider static info.

## Protected Attributes

SmtpClient | smtp
| The SmtpClient object.

## Detailed Description

Data provider implementing an API for sending email messages.

## Member Function Documentation

## getChildProviderImpl()

*AbstractDataProvider SmtpClientDataProvider::getChildProviderImpl | ( | string | name | ) |

protected

Returns the given child provider or nothing if the given child is unknown.

Returns
  the given child provider or nothing if the given child is unknown

See also
  getChildProviderEx()

## getChildProviderNamesImpl()

*list< string > SmtpClientDataProvider::getChildProviderNamesImpl | ( |  | ) |

protected

Returns a list of child data provider names, if any.

Returns
  a list of child data provider names, if any